<!-- <div>{{ appState$ | async | json }}</div> -->
<div class="container-xl">
  <div class="table-responsive">
      <div class="table-wrapper">
          <div class="table-title">
              <div class="row">
                  <div class="col-sm-6">
                      <h2>Questions Manager</h2>
                  </div>
                  <div class="col-sm-6">

                      <button (click)="printQuestions()" type="button" class="btn btn-dark ">Print</button>

                      <span>
                          <select (ngModelChange)="filterQuestions($event)" name="levelStatus" ngModel="ALL" class="btn btn-warning" type="button">
                              <option value="ALL">ALL</option>
                              <option value="LEVEL_1">LEVEL 1</option>
                              <option value="LEVEL_2">LEVEL 2</option>
                              <option value="LEVEL_3">LEVEL 3</option> 
                              <option value="LEVEL_4">LEVEL 4</option>
                              <option value="LEVEL_5">LEVEL 5</option>
                          </select>
                      </span>

                      <a href="#addEmployeeModal" class="btn btn-success " data-toggle="modal">
                        <i class="material-icons">&#xE147;</i>
                        <span>New Question</span>
                     </a>

                  </div>
              </div>
          </div> <br>
          <ng-container *ngIf="(appState$ | async) as appState" [ngSwitch]="appState.dataState" >

              <ng-container *ngSwitchCase="DataState.LOADING_STATE" >
                  <div class="col-md-12 single-note-item text-center">
                      <div class="spinner-border text-info" role="status"></div>
                  </div>
              </ng-container>

              <ng-container *ngSwitchCase="DataState.LOADED_STATE" >
                  <table class="table table-striped table-hover" id="questions">
                      <thead>
                          <tr>
                              <th>Image</th>
                              <th>Question</th>
                              <th>Answer</th>
                              <!-- <th>Option 1</th>
                              <th>Option 2</th>
                              <th>Option 3</th> -->
                              <th>Level</th>
                              <th>Actions</th>
                          </tr>
                      </thead>
                      <tbody *ngFor="let question of appState.appData.data.questions; let i = index" >
                          <tr>
                              <td> <img [src]="question.imageUrl" [alt]="question.id" width="40" height="40"></td>
                              <td>{{question.question}}</td>
                              <td>{{question.answer}}</td>
                              <!-- <td>{{question.option1}}</td>
                              <td>{{question.option2}}</td>
                              <td>{{question.option3}}</td> -->
                              <td>
                                  <span class="badge" [ngClass]="[switchLevelColor(question.levelStatus) ]">                              
                                    <!-- {{question.levelStatus === LevelStatus.LEVEL_1 ? ' Level 1' : ' Level 2' }} -->
                                    {{switchLevel(question.levelStatus)}}
                                  </span> 
                              </td>
                              <td>
                                  <a (click)="deleteQuestion(question)" class="delete" data-toggle="modal" style="cursor: pointer;">
                                    <i class="material-icons" data-toggle="tooltip" title="Delete">&#xE872;</i>
                                  </a>
                                  <!-- <a class="edit" data-toggle="modal" style="cursor: pointer;">
                                    <i class="material-icons" title="Edit">&#xE3c9;</i>
                                  </a> -->
                                  <a class="edit" data-toggle="modal" style="cursor: pointer;">
                                    <i class="material-icons" onclick="$('#target').toggle();" title="More">&#xE5d4;</i>
                                  </a>
                                      
                              </td>
                             
                      </tbody>
                  </table>

              </ng-container>


              <ng-container  *ngSwitchCase="DataState.ERROR_STATE" >
                  <div class="alert-danger">
                    {{ appState.error }}
                  </div>
              </ng-container>

          </ng-container>
      </div>
  </div>
</div>

<!-- Add question Modal HTML -->
<div id="addEmployeeModal" class="modal fade">
  <div class="modal-dialog">
      <div class="modal-content">
          <form  #questionForm="ngForm" (ngSubmit)="saveQuestion(questionForm)"  >
              <div class="modal-header">
                  <h4 class="modal-title">Add Question</h4>
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              </div>
              <div class="modal-body">
                  <div class="form-group">
                      <label>Question</label>
                      <input type="text" name="question" ngModel class="form-control" required>
                  </div>
                  <div class="form-group">
                      <label>Answer</label>
                      <input type="text" name="answer" ngModel class="form-control" required>
                  </div>
                  <div class="row">
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                          <div class="form-group">
                              <label>Option 1</label>
                              <input type="text" name="option1" ngModel class="form-control" required>
                          </div>
                      </div>
                      <div class="col-xl-6 col-lg-6 col-md-6 col-sm-6 col-6">
                          <div class="form-group">
                              <label>Option 2</label>
                              <input type="text" name="option2" ngModel class="form-control" required>
                          </div>
                      </div>
                  </div>
                  <div class="form-group">
                    <label>Option 3</label>
                    <input type="text"  name="option3" ngModel class="form-control" required>
                </div>
                  <div class="form-group">
                      <label>Level</label>
                      <select name="levelStatus" ngModel="LEVEL_1" class="form-control" name="levelStatus" required>
                          <option value="LEVEL_1">LEVEL 1</option>
                          <option value="LEVEL_2">LEVEL 2</option>
                          <option value="LEVEL_3">LEVEL 3</option>
                          <option value="LEVEL_4">LEVEL 4</option>
                          <option value="LEVEL_5">LEVEL 5</option>
                      </select>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-warning" id="closeModal" data-dismiss="modal">
                    Cancel
                </button>
                <button type="submit" [disabled]="questionForm.invalid || (isLoading$ | async)"
                    class="btn btn-success">
                    <i *ngIf="isLoading$ | async" class="fas fa-spinner fa-spin"></i>
                    <span *ngIf="isLoading$ | async" >Saving...</span>
                    <span *ngIf="!(isLoading$ | async)" >Add</span>
                </button>
            </div>
          </form>
      </div>
  </div>
</div>

  <notifier-container></notifier-container>